classification
Title: Typo in Python 3.9 what's new page
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gvanrossum, kigawas, lukasz.langa, terry.reedy
Priority: normal Keywords: patch

Created on 2020-10-06 02:42 by kigawas, last changed 2020-10-24 03:26 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22573 merged kigawas, 2020-10-06 02:45
Messages (17)
msg378085 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-06 02:42
CONTAINS_OP for ‘in’ and ‘is not’ tests

should be 

CONTAINS_OP for ‘in’ and ‘not in’ tests

Ref:
https://bugs.python.org/issue39156
msg379438 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-23 14:49
All this needs is a PR filed against latest master that updates Doc/whatsnew/3.9.rst and labeled with needs-backport-3.9.
msg379444 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-23 15:28
Well, it looks like there is no CONTAINS_OP part under the subtitle "CPython bytecode changes" in master's Doc/whatsnew/3.9.rst

Maybe it's some discrepancy?
msg379446 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-23 15:51
Honestly I don't see it in the 3.9 branch either. It seems the whole section mentioned in the closed PR doesn't exist anywhere. Maybe it was reverted for some reason. Let's close this issue.
msg379449 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-23 16:01
It's here https://github.com/python/cpython/blob/3.9/Doc/whatsnew/3.9.rst#cpython-bytecode-changes

Just several pixels below
msg379453 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-23 16:07
And the "What’s New In Python 3.9" page (updated today): 

https://docs.python.org/3/whatsnew/3.9.html#cpython-bytecode-changes
msg379455 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-23 16:10
Hm, I guess my repo is out of date. Sorry. So it is in master? Let's fix it there then.
msg379456 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-23 16:31
The whole CONTAINS_OP stuff is gone in master, but it's still there in 3.9 branch.

I don't know why.

Any plan to resolve the discrepancy?
msg379457 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-23 17:00
There really shouldn't be any differences between that doc in the 3.9 and master branch (with rare exceptions). Can you post a diff here between the two so we can sort it out?

Also can you find the commit where it was added to the 3.9 branch?
msg379484 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-23 22:31
The diff is here:

https://gist.github.com/kigawas/c0c3900e5f56552f13160c7989612c28

Looks like it is not trivial.

And the commit at branch 3.9 is:

https://github.com/python/cpython/commit/9cf6752276e6fcfd0c23fdb064ad27f448aaaf75#diff-ec874d66bbcf13046b9928aa3716d14a93632f568b914eba32baf46ff4c9eb36R1180

Hope this would help.
msg379485 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-23 22:36
Oh, I see. Łukasz (@ambv) prepared the 3.9.0 release and didn't merge his changes into master yet.

I'll contact him.
msg379488 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-23 22:50
No wonder there is discrepancy...

So our tactic would be to patch in 3.9 branch and bring it back to master?
msg379489 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-23 22:55
Yeah, I'll see if I can reopen your PR and we can apply it to the 3.9 branch, we'll then forward port it (if and when that's done).
msg379497 - (view) Author: Weiliang Li (kigawas) * Date: 2020-10-23 23:40
Thank you, our hardworking BDFL!
msg379499 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-24 00:11
New changeset dc33f798139016961fba33b37c792c690399b2b6 by Weiliang Li in branch '3.9':
bpo-41950: Typo in Python 3.9 what's new page (GH-22573)
https://github.com/python/cpython/commit/dc33f798139016961fba33b37c792c690399b2b6
msg379500 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-24 00:12
Thanks, merged, so closing.

I'll open a separate issue regarding the forward-porting of the 3.9 whatsnew.
msg379514 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-10-24 03:26
See #42139
History
Date User Action Args
2020-10-24 03:26:44terry.reedysetnosy: + terry.reedy
messages: + msg379514
2020-10-24 00:12:13gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg379500

stage: needs patch -> resolved
2020-10-24 00:11:14gvanrossumsetmessages: + msg379499
2020-10-23 23:40:05kigawassetmessages: + msg379497
2020-10-23 22:55:03gvanrossumsetmessages: + msg379489
2020-10-23 22:50:55kigawassetmessages: + msg379488
2020-10-23 22:36:59gvanrossumsetnosy: + lukasz.langa
messages: + msg379485
2020-10-23 22:31:18kigawassetmessages: + msg379484
2020-10-23 17:00:43gvanrossumsetmessages: + msg379457
2020-10-23 16:31:12kigawassetmessages: + msg379456
2020-10-23 16:10:45gvanrossumsetstatus: closed -> open
versions: + Python 3.10
messages: + msg379455

resolution: out of date -> (no value)
stage: resolved -> needs patch
2020-10-23 16:07:20kigawassetmessages: + msg379453
2020-10-23 16:01:03kigawassetmessages: + msg379449
2020-10-23 15:51:40gvanrossumsetstatus: open -> closed
resolution: out of date
messages: + msg379446

stage: patch review -> resolved
2020-10-23 15:28:28kigawassetmessages: + msg379444
2020-10-23 14:49:54gvanrossumsetnosy: + gvanrossum
messages: + msg379438
2020-10-06 02:45:26kigawassetkeywords: + patch
stage: patch review
pull_requests: + pull_request21568
2020-10-06 02:42:18kigawascreate